html, body {
    font-family: 'Noto Sans JP', sans-serif;
    margin: 0;
    padding: 0;
    background: #111;
    color: #eee;
}

.hero {
    width: 100%;
    height: 100vh;
    background: #111111;
    display: flex;
    justify-content: end;
    align-items: end;
}

.hero-content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.hero-text {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

h1 {
    position: absolute;
    top: 2%;
    left: 5%;
    font-size: 5vmin;
    margin-bottom: 20px;
    z-index: 2;
    color: #ffffff;
}

.mySwiper1 {
    width: 50%;
    height: 100%;
  }

.mySwiper1 swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 50px;
}

.mySwiper1 img {
    width: 1024px;
    height: 576px;
}

.hero-image {
    width: fit-content;
    height: 100%;
}

.hero-image img {
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.news {
    width: 100%;
    background: #1a1a1a;
    padding: 60px 0px;
    padding-bottom: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
h2 {
    text-align: center;
    font-size: 2.5em;
    margin-bottom: 40px;
    color: #f5f5f5;
}
h2 a {
    text-decoration: none;
    color: #f5f5f5;
    transition: color 0.3s;
    -webkit-transition: color 0.3s;
    -moz-transition: color 0.3s;
    -ms-transition: color 0.3s;
    -o-transition: color 0.3s;
}
h2 a:hover {
    color: #aaa;
}
.view-more {
    width: 100%;
    display: flex;
    justify-content: end;
    align-items: center;
    position: relative;
}
.view-more a {
    color: #aaa;
    text-decoration: none;
    font-size: 1.4em;
    white-space: nowrap;
    transition: color 0.3s;
    -webkit-transition: color 0.3s;
    -moz-transition: color 0.3s;
    -ms-transition: color 0.3s;
    -o-transition: color 0.3s;
}
.view-more a:hover {
    color: #fff;
}
.view-more-line {
    position: relative;
    margin-right: 5%;
    margin-top: 1%;
}
.view-more-line::before {
    background: #ffffff;
    content: '';
    width: 100%;
    height: 2px;
    position: absolute;
    left: 0;
    bottom: 0;
    transform-origin: right top;
    transform: scale(0, 1);
    transition: transform .3s;
}
.view-more-line:hover::before {
    transform-origin: left top;
    transform: scale(1, 1);
}
.news-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
    align-items: center;
    width: 80%;
}
.news-card {
    background: #222;
    width: 25%;
    min-height: 150px;
    margin: 1.1%;
    padding: 2% 3%;
    border-radius: 8px;
    position: relative;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.4);
    transition: transform 0.3s;
    text-decoration: none;
    -webkit-transition: transform 0.3s;
    -moz-transition: transform 0.3s;
    -ms-transition: transform 0.3s;
    -o-transition: transform 0.3s;
}
.news-card:hover {
    transform: translateY(-5px);
    -webkit-transform: translateY(-5px);
    -moz-transform: translateY(-5px);
    -ms-transform: translateY(-5px);
    -o-transform: translateY(-5px);
}
.news-card h3 {
    color: #eee;
    margin-bottom: 10px;
    font-size: 1.2em;
}
.news-card-abst {
    color: #bbb;
    font-size: 0.95em;
}
.news-card-date {
    margin: 0;
    margin-top: 20px;
    color: #777777;
    font-size: 0.95em;
    width: 100%;
    text-align: end;
}
.locked-news::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url(/images/icon/lock.svg);
    background-size: 50px;
    border-radius: 8px;
    backdrop-filter: blur(10px);
    background-repeat: no-repeat;
    background-position: center;
    z-index: 2;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
}
.youtube {
    background: #222222;
    padding: 70px 0px;
    padding-bottom: 80px;
}
.mySwiper {
    width: 100%;
    height: 100%;
  }

.mySwiper swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 50px;
}

.mySwiper swiper-slide iframe {
    width: 1024px;
    height: 576px;
}

.gallery {
    background: #1a1a1a;
    padding: 70px 0px;
    padding-bottom: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.gallery-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 80%;
}

.gallery-card {
    position: relative;
    aspect-ratio: 1/1.3;
    background: #222;
    width: 17%;
    margin: 3%;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.4);
    transition: transform 0.3s;
    text-decoration: none;
    -webkit-transition: transform 0.3s;
    -moz-transition: transform 0.3s;
    -ms-transition: transform 0.3s;
    -o-transition: transform 0.3s;
}

.gallery-card:hover {
    transform: translateY(-5px);
}

.gallery-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.locked::before {
    padding: 20px;
    border-radius: 8px;
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url(/images/icon/lock.svg);
    background-size: 30%;
    backdrop-filter: blur(10px);
    background-repeat: no-repeat;
    background-position: center;
    z-index: 2;
}

.join-banner {
    background: linear-gradient(to right, #003366, #001a33);
    padding: 60px 0px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
}
.join-banner-container {
    width: 50%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.join-banner h2 {
    margin-bottom: 20px;
    color: #f5f5f5;
    font-size: 2em;
}
.join-banner div p {
    font-size: large;
}
.join-banner a {
    display: inline-block;
    margin-top: 10px;
    padding: 20px 40px;
    border: 1px solid #f5f5f5;
    color: #ffffff;
    text-decoration: none;
    font-weight: bold;
    border-radius: 50px;
    transition: background 0.3s, color 0.3s;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
    -webkit-transition: background 0.3s, color 0.3s;
    -moz-transition: background 0.3s, color 0.3s;
    -ms-transition: background 0.3s, color 0.3s;
    -o-transition: background 0.3s, color 0.3s;
}
.join-banner a:hover {
    background: #001a33;
    color: #f5f5f5;
}

table {
    width: 30%;
    border-collapse: collapse;
    margin-top: 40px;
    margin-bottom: 40px;
}
td {
    padding: 12px 15px;
    text-align: left;
    border-bottom: 2px solid #ddd;
    font-size: large;
}

tr td:nth-child(1) {
    font-weight: bold;
}

@media screen and (max-width:965px) {
    .hero-content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
    }

    .hero-text {
        height: auto;
    }

    h1 {
        font-size: 9vmin;
    }

    .mySwiper1 {
        z-index: 1;
        width: 100%;
        height: 100%;
    }

    .hero-image {
        width: 100%;
    }

    .hero-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }

    .news-cards {
        width: 90%;
    }
    .news-card {
        width: 100%;
        min-height: 120px;
        margin: 1.1%;
        padding: 0% 4%;
    }
    .news-card h3 {
        color: #eee;
        margin-bottom: 10px;
        font-size: 1.1em;
    }
    .news-card-abst {
        font-size: 0.9em;
    }
    .news-card-date {
        margin-top: 10px;
        font-size: 0.9em;
    }

    .mySwiper swiper-slide iframe {
        width: 100%;
        aspect-ratio: 16/9;
        height: auto;
    }

    .gallery {
        background: #1a1a1a;
        padding: 70px 0px;
        padding-bottom: 80px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .gallery-cards {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        width: 95%;
    }

    .gallery-card {
        width: 35%;
        margin: 2%;
        padding: 5%;
    }

    .gallery-card:hover {
        transform: translateY(-5px);
    }

    .gallery-card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }

    .join-banner {
        padding: 60px 0px;
        flex-direction: column;
    }

    .join-banner-container {
        width: 100%;
        margin: 6vmin 0;
    }

    .join-banner div p {
        padding: 0 10px;
    }

    table {
        width: 60%;
    }
}